[![Build Status](https://secure.travis-ci.org/ivelum/django-uidfield.png)](http://travis-ci.org/ivelum/django-uidfield)

Introduction
------------

Django-uidfield is a package which includes class UIDField for models.

It allows you to create unique string fields with any length and any fixed prefix.


Usage
-----
You can use the field `UIDField` in your models directly or inherit your model from the class `UIDModel` and use the field there.
The reason in using `UIDModel` is to try to save data again automatically if the IntergrityError occurs.
```python
from django_uidfield.fields import UIDField


class YourModel(models.Model):
    uid_field = UIDField(prefix='tmp_', max_length=20)
    
# the value will be like 'tmp_Akw81LmtPqS93dKb'
```
or
```python
from django_uidfield.models import UIDModel
from django_uidfield.fields import UIDField


class YourModel(UIDModel):
    uid_field = UIDField(prefix='tmp_', max_length=20)
```
